#
# stdhep examples makefile
#
#
STDHEPDIR=/sw/ilc/gcc481/stdhep/stdhep-5-06-01
# STDHEPDIR=stdhep/5.06.01
ifeq ($(STDHEPDIR),) 
  STDHEPDIR=stdhep/5.06.01
endif

$(info STDHEPDIR is $(STDHEPDIR))
STDHEP_DIR=$(STDHEPDIR)
MCFIO_DIR=$(STDHEPDIR)
CRNLIB=$(shell which cernlib | sed -e "s|bin/cernlib|lib|")

include $(STDHEP_DIR)/src/stdhep_arch

SRCS = hepsplit.cxx

OBJS = $(subst .cxx,.o,$(SRCS))
INCS = -I$(STDHEP_DIR)/src/inc 
CXXFLAGS = $(INCS)
# LIBS= -L$(STDHEP_DIR)/lib -lstdhep -lstdhepC -lFmcfio \
# 	-L/opt/gcc-4.4.0/lib64 -lgfortran -lstdc++
# LIBS= -L$(STDHEP_DIR)/lib -lstdhep -lstdhepC -lFmcfio \
# 	-L/group/ilc/soft/gcc481/gcc/lib64 -lgfortran -lstdc++
LIBS= -L$(STDHEP_DIR)/lib -lstdhep -lstdhepC -lFmcfio \
	-lgfortran -lstdc++


all: hepsplit stdhepsplitV4.tar.gz

hepsplit: $(OBJS)
	$(CC) $(OBJS) -o hepsplit $(LIBS)

stdhepsplitV4.tar.gz: hepsplit
	@mkdir -p stdhepsplitV4 ;\
	( cd stdhepsplitV4 ; cp ../hepsplit . ; mkdir -p lib ;\
	  cp -p `ldd hepsplit | grep libgfortran | cut -d">" -f2 | cut -d" " -f2` lib/ ) ;\
	  tar zcf stdhepsplitV4.tar.gz stdhepsplitV4 ;\
	  rm -rf stdhepsplitV4 \;
	  echo "stdhepsplitV4.tar.gz was created."

.PHONy:clean
clean: 
	rm -f *.o *~

.SUFFIXES: .o .cxx
.cxx.o:
	$(CXX) $(CXXFLAGS) -c $<

